﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.detail, ims.web" enableviewstatemac="false" enableEventValidation="false" %>
<%@ Register Src="~/UserControls/FileUploader.ascx" TagName="Uploader" TagPrefix="ims" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="detail">
<head runat="server"><title></title>
</head>
<body>
    <form id="form1" runat="server" defaultbutton="">
        <asp:HiddenField runat="server" ID="curFieldId" Value="" />
        <asp:ScriptManager ID="s1" runat="server" EnablePageMethods="true">
            <Scripts><asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/><asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/></Scripts>
        </asp:ScriptManager>
        <div id="body">
        <div id="pageTitle" runat="server" class="pageTitle"></div>
        <table cellspacing="1" runat="server" id="layoutTable" EnableViewState="false" class="normal"></table>
        <div runat="server" id="main" EnableViewState="false"></div>
        </div>
        <table cellspacing="1" runat="server" id="PagerBar" class="PagerBar"><tr><td>
        <div id="l">
            <strong>跳转：</strong>
            <asp:ImageButton ID="btnFirst" ImageAlign="AbsMiddle" runat="server" ToolTip="第一页&#13;快捷键：Home" ImageUrl="~/images/page_first.gif" AccessKey="F" OnPreRender="SetImageUrl" />
            <asp:ImageButton ID="btnPrevious" ImageAlign="AbsMiddle" runat="server" ToolTip="上一页&#13;快捷键：←或PageUp" ImageUrl="~/images/page_up.gif" AccessKey="P" OnPreRender="SetImageUrl" />
            <asp:Label ID="lblCount" CssClass="count" runat="server"></asp:Label>
            <asp:ImageButton ID="btnNext" ImageAlign="AbsMiddle" runat="server" ToolTip="下一页&#13;快捷键：→或PageDown" ImageUrl="~/images/page_down.gif" AccessKey="N" OnPreRender="SetImageUrl" />
            <asp:ImageButton ID="btnLast" ImageAlign="AbsMiddle" runat="server" ToolTip="最后一页&#13;快捷键：End" ImageUrl="~/images/page_last.gif" AccessKey="L" OnPreRender="SetImageUrl" />
        </div><div id="r">
            <select id="ddlPager" onchange="pagerChanged();" runat="server"></select>
        </div></td></tr></table>
        <table cellspacing="0" id="footer"><tr>
            <td runat="server" id="lLinks"></td>
            <td id="rLinks">
                <a href="#" runat="server" id="addToCart">加入购物车</a>
                <a href="#" runat="server" id="addToFav">收藏</a>
            </td>
        </tr></table>
        <div class="footBtnArea">
            <asp:Button ID="toEdit" AccessKey="E" runat="server" ToolTip="进入编辑状态&#13;快捷键：Alt+E" Text="编辑" OnClick="ToEdit" CssClass="btn" />
            <asp:Button ID="toDel" AccessKey="D" runat="server" ToolTip="删除&#13;快捷键：Alt+D" Text="删除" OnClick="ToDel" OnClientClick="return delConf();" CssClass="btn" />
            <input type="button" accesskey="C" id="btnLayout" runat="server" title="切换页面的显示样式&#13;快捷键：Alt+C" value="版式" onclick="return showMenu();" class="btn" />
            <input type="button" runat="server" id="btnExport" onclick="return toExportAs('#body');" value="导出" class="btn" />
            <input type="button" value="打印" onclick="$('#body').printIt();" class="btn" />
            <input type="button" onclick="MarkAndBack();" value="返回" class="btn" />
            <input type="button" runat="server" class="hide" id="btnTrigger" onserverclick="ShowEditPop" />
        </div>
        <div class="menu" id="layouts" runat="server">
            <a accesskey="M" runat="server" id="chgLayout" href="#" onclick="toLayout();">管理版式　Alt+M</a>
            <asp:PlaceHolder runat="server" ID="phLayouts"></asp:PlaceHolder>
        </div>
        <ims:Pop runat="server" ID="p" Width="475" OnOkClientClick="updateEditor();" OnOkClick="Save" HideOnOkClientClick="false">
            <ContentTemplate>
                <asp:TextBox ID="_tb" runat="server" Width="94%" Visible="false"></asp:TextBox>
                <span runat="server" id="ddlspan" visible="false"><asp:Literal runat="server" ID="ddltext"></asp:Literal><asp:DropDownList ID="_ddl" runat="server"></asp:DropDownList></span>
                <asp:CheckBox ID="_cb" runat="server" Visible="false" />
                <asp:CheckBoxList ID="_cbl" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow" Width="100%" Visible="false"></asp:CheckBoxList>
                <asp:RadioButtonList ID="_rbl" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow" Width="100%" Visible="false"></asp:RadioButtonList>
                <asp:TextBox runat="server" ID="_ck" CssClass="ck" TextMode="MultiLine" Visible="false"></asp:TextBox>
                <ims:Uploader runat="server" ID="_uploader" Visible="false" />
                <table ID="_hl" runat="server" cellspacing="0" style="table-layout:fixed;width:98%" visible="false">
                    <tr><td style="width:60px">链接文字：</td><td><asp:TextBox ID="_tbText" runat="server" Width="99%"></asp:TextBox></td></tr>
                    <tr><td>链接地址：</td><td><asp:TextBox ID="_tbUrl" runat="server" Width="99%"></asp:TextBox></td></tr>
                </table>
                <div runat="server" id="cmds" class="right"><br />
                    <a runat="server" id="aAddRow" href="#" onclick="return toAdd(this);"></a>
                    <a runat="server" id="aDelRow" onserverclick="DelSubRecord" href="#" onclick="return delConf();" title="删除当前编辑的这一行数据">删除该行</a>
                </div>
            </ContentTemplate>
        </ims:Pop>
    <script src="js/comm.js" type="text/javascript"></script>
    <script type="text/javascript" src="js/detail.js"></script>
    <script type="text/javascript" src="ckeditor/ckeditor.js"></script>
    <script type="text/javascript" src="js/datepicker/WdatePicker.js"></script>
    </form>
</body>
</html>