﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.OrderVerify, ims.web" trace="false" enableviewstatemac="false" enableEventValidation="false" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="OrderVerify">
<head runat="server">
    <title>订单确认</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="s1" runat="server">
            <Scripts><asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/><asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/></Scripts>
        </asp:ScriptManager>
        <div class="pageTitle">订单确认</div>
        <div class="highlight" runat="server" id="RuleMent"></div>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
        <div runat="server" id="divSendWays">
        <table class="TitleBlock" cellspacing="0"><tr><td class="title">送货方式</td><td class="verb">&nbsp;</td></tr></table>
        <div class="detail">
            <asp:RadioButtonList ID="rblSendWays" runat="server" RepeatDirection="horizontal" RepeatLayout="flow" OnSelectedIndexChanged="rblSendWays_Changed" AutoPostBack="true">
            </asp:RadioButtonList>
        </div>
        </div>
        
        <table class="TitleBlock" cellspacing="0"><tr><td class="title">送货地址</td><td class="verb">&nbsp;</td></tr></table>
        <div class="detail">
            <div>送货地址：<asp:TextBox ID="tbAddress" runat="server" Width="300"></asp:TextBox></div>
            <div>邮政编码：<asp:TextBox ID="tbZip" runat="server" Width="135"></asp:TextBox></div>
            <div>　联系人：<asp:TextBox ID="tbContactName" runat="server" Width="135"></asp:TextBox></div>
            <div>联系电话：<asp:TextBox ID="tbPhone" runat="server" Width="135"></asp:TextBox></div>
            <div>联系邮箱：<asp:TextBox ID="tbEmail" runat="server" Width="135"></asp:TextBox></div>
        </div>

        <table class="TitleBlock" cellspacing="0" runat="server" id="paywayBlock"><tr><td class="title">付款方式</td><td class="verb">&nbsp;</td></tr></table>
        <div class="detail" id="divPayWays" runat="server">
        </div>

        <table class="TitleBlock" cellspacing="0"><tr><td class="title">发票信息</td><td class="verb">&nbsp;</td></tr></table>
        <div class="detail">
            <asp:CheckBox ID="cbNeedInvoice" runat="server" AutoPostBack="true" OnLoad="cbNeedInvoice_Changed" OnCheckedChanged="cbNeedInvoice_Changed" Text="需要发票" />
            <span runat="server" id="InvoiceDiv"> - 发票抬头：<asp:TextBox ID="tbInvoiceTitle" runat="server" Width="300"></asp:TextBox></span>
        </div>
        
        <table class="TitleBlock" cellspacing="0"><tr><td class="title">订单金额</td><td class="verb"><asp:HyperLink ID="HyperLink1" NavigateUrl="~/cart.aspx" runat="server">修改订单</asp:HyperLink></td></tr></table>
        <div class="detail">
            商品总金额：<asp:Label ID="lblAmount" runat="server" ForeColor="red"></asp:Label>
            <div runat="server" id="ruleApply"></div>
        </div>
        
        <table class="TitleBlock" cellspacing="0"><tr><td class="title">订单备注</td><td class="verb">&nbsp;</td></tr></table>
        <div class="detail">
            <asp:TextBox ID="tbMent" runat="server" Rows="4" Width="100%" TextMode="MultiLine"></asp:TextBox>
        </div>
        
        <div class="footBtnArea">
            <div id="submiting" class="gray hide">正在提交，请稍候…</div>
            <asp:Button ID="btnSubmit" CssClass="btn" OnClick="OrderSubmit" OnClientClick="setButtonVisible(false);" runat="server" Width="66" Text="提交订单" />
            <input type="button" onclick="history.go(-1);" value="返回" class="btn" />
        </div>
        <br />
        </ContentTemplate>
        </asp:UpdatePanel>
    <script src="js/comm.js" type="text/javascript"></script>
    <script type="text/javascript">
        function setButtonVisible(visible) {
            $("#btnSubmit").css("display", visible ? "" : "none");
            $("#submiting").css("display", visible ? "none" : "block");
        }
        function showPayMent(e) {
            var rbs = document.getElementsByName(e.name);
            var mentDiv;
            for (var i = 0; i < rbs.length; i++) {
                mentDiv = $f(rbs[i].id + "_ment");
                if (mentDiv) mentDiv.style.display = "none";
            }
            mentDiv = $f(e.id + "_ment");
            if (mentDiv) mentDiv.style.display = "block";
        }
    </script>
    </form>
</body>
</html>