﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.infoEdit, ims.web" enableviewstatemac="false" enableEventValidation="false" %>
<%@ Register Src="~/UserControls/FileUploader.ascx" TagName="Uploader" TagPrefix="ims" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="infoEdit">
<head runat="server">
    <title></title>
</head>
<body onbeforeunload="confirmExit();">
    <form id="form1" runat="server">
    <asp:ScriptManager ID="sm" runat="server">
        <Scripts><asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/><asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/></Scripts>
    </asp:ScriptManager>
    <table cellspacing="4" id="main"><tr>
        <td class="desc">标题：</td><td><asp:TextBox runat="server" MaxLength="255" ID="tbTitle" Width="99.3%"></asp:TextBox></td>
    </tr><tr>
        <td class="desc">内容：</td>
        <td>
            <asp:TextBox runat="server" ID="ckContent" TextMode="MultiLine"></asp:TextBox>
        </td>
    </tr><tr>
        <td class="desc">附件：</td>
        <td id="tdUploader">
            <ims:Uploader runat="server" ID="uploader" OnlyPhotos="false" LoadingID="loading" />
        </td>
    </tr><tr>
        <td class="desc">摘要：</td>
        <td>
            <asp:TextBox runat="server" ID="tbOverview" TextMode="MultiLine" Rows="5" Width="99.3%"></asp:TextBox>
            <div class="gray">说明：摘要内容不能超过300个字符，可尝试<a href="#" onclick="return makeSummary();">自动生成摘要</a>。</div>
        </td>
    </tr><tr>
        <td class="desc">标签：</td>
        <td><asp:TextBox runat="server" ID="tbTags" Width="320" MaxLength="255"></asp:TextBox>&nbsp;<a href="javascript:void(0);" runat="server" id="selectTags" onserverclick="showTagsPop">选择标签</a>
            <div class="gray">说明：标签是一种开放式分类。可添加最多5个标签，用逗号分隔。</div>
        </td>
    </tr><tr runat="server" id="trSecLevel">
        <td class="desc">保密级别：</td>
        <td><asp:DropDownList runat="server" ID="ddlSeclevel"></asp:DropDownList></td>
    </tr><tr>
        <td class="desc">选项：</td>
        <td><asp:CheckBox runat="server" ID="cbComment" Checked="true" Text="允许评论" />&nbsp;<asp:CheckBox runat="server" ID="cbTop" Text="置顶" /></td>
    </tr></table>    
    <div class="footBtnArea">
        <asp:ImageButton runat="server" ID="ibSubmit" OnClientClick="return PreSubmit();" OnClick="SaveInfo" ImageUrl="images/submit.gif" />
    </div>
    
    <ims:Pop runat="server" ID="popTag" Title="请点击选择需要添加的标签" Width="380" ShowOkButton="false" OnClientUpdated="setTagsLink();" CanelButtonText="关闭">
        <ContentTemplate>
            <div runat="server" id="divTags"></div>
        </ContentTemplate>
    </ims:Pop>
    <script src="js/comm.js" type="text/javascript"></script>
    <script src="ckeditor/ckeditor.js" type="text/javascript"></script>
    <script src="js/infoEdit.js" type="text/javascript"></script>
    </form>
</body>
</html>
