﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.OverView, ims.web" enableviewstatemac="false" enableEventValidation="false" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="OverView">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="sm" runat="server">
        <Scripts><asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/><asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/></Scripts>
    </asp:ScriptManager>
    <asp:HiddenField runat="server" ID="curTempletId" Value="" />
    <div id="prePict"><img id="forLoad" class="hide" onload="$('#prePict').css('background-image', 'url('+this.src+')');" /></div>    
    <asp:UpdatePanel ID="up" runat="server" OnPreRender="ListPreRender" UpdateMode="conditional" RenderMode="Inline" /><br />
       
    <asp:UpdatePanel ID="upPager" runat="server" UpdateMode="conditional" RenderMode="Block">
    <ContentTemplate>
        <table cellspacing="0" runat="server" id="PagerBar" class="PagerBar"><tr><td>翻页：
            <asp:ImageButton ID="btnFirst" ImageAlign="AbsMiddle" runat="server" ToolTip="第一页&#13;快捷键：Home" ImageUrl="~/images/page_first.gif" AccessKey="F" OnClick="ToPage" OnPreRender="SetImageUrl" />
            <asp:ImageButton ID="btnPrevious" ImageAlign="AbsMiddle" runat="server" ToolTip="上一页&#13;快捷键：←或PageUp" ImageUrl="~/images/page_up.gif" AccessKey="P" OnClick="ToPage" OnPreRender="SetImageUrl" />
            <asp:Label ID="lblCount" CssClass="count" runat="server"></asp:Label>
            <asp:ImageButton ID="btnNext" ImageAlign="AbsMiddle" runat="server" ToolTip="下一页&#13;快捷键：→或PageDown" ImageUrl="~/images/page_down.gif" AccessKey="N" OnClick="ToPage" OnPreRender="SetImageUrl" />
            <asp:ImageButton ID="btnLast" ImageAlign="AbsMiddle" runat="server" ToolTip="最后一页&#13;快捷键：End" ImageUrl="~/images/page_last.gif" AccessKey="L" OnClick="ToPage" OnPreRender="SetImageUrl" />
        </td><td align="right">
            <asp:DropDownList runat="server" id="ddlPagesize" AutoPostBack="True" OnSelectedIndexChanged="PageSizeChanged">
                <asp:ListItem Value="1">1项/页</asp:ListItem>
                <asp:ListItem Value="2">2项/页</asp:ListItem>
                <asp:ListItem Value="3">3项/页</asp:ListItem>
                <asp:ListItem Value="5">5项/页</asp:ListItem>
                <asp:ListItem Value="10" Selected="true">10项/页</asp:ListItem>
                <asp:ListItem Value="20">20项/页</asp:ListItem>
                <asp:ListItem Value="50">50项/页</asp:ListItem>
                <asp:ListItem Value="100">100项/页</asp:ListItem>
                <asp:ListItem Value="500">500项/页</asp:ListItem>
            </asp:DropDownList>
            <asp:DropDownList ID="ddlPager" AutoPostBack="true" OnSelectedIndexChanged="ToPage" runat="server"></asp:DropDownList>
        </td></tr></table>
        <input type="button" runat="server" id="updatePagerBar" class="hide" onserverclick="UpdatePagerBar" />
        <ul class="hide" id="AttributeInfo"><li>共<asp:Literal ID="recordCount" runat="server"></asp:Literal>项</li></ul>
    </ContentTemplate>
    </asp:UpdatePanel>
 
    <div class="footBtnArea" onmouseover="$('#icon').hide()">
        <input type="button" value="导出" onclick="toExportAs('#up',null,document.title);" class="btn" />
        <input type="button" value="打印" onclick="$('#up').printIt({ pageTitle: document.title });" class="btn" />
        <input type="button" onclick="history.go(-1);" value="返回" class="btn" />
        <input type="button" runat="server" id="btnChgFormat" class="hide" onserverclick="ShowEditFormat" />
    </div>
    
    <ims:Pop runat="server" ID="fmt" Width="500" OnClientUpdated="setHtmlArea();" OnOkClientClick="updateEditor();" OnOkClick="SaveFormat">
        <ContentTemplate>
            格式：<asp:RadioButtonList runat="server" ID="rblMode" RepeatLayout="Flow" RepeatDirection="Horizontal"><asp:ListItem Value="Default">默认</asp:ListItem><asp:ListItem Value="Link">链接</asp:ListItem><asp:ListItem Value="Custom">自由格式</asp:ListItem><asp:ListItem Value="DetailView">详情视图：</asp:ListItem></asp:RadioButtonList><asp:DropDownList runat="server" ID="ddlLayouts"></asp:DropDownList>
            <div id="divHtml" runat="server">
                <asp:UpdatePanel ID="upEditor" OnPreRender="MakeEditor" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                <asp:TextBox runat="server" ID="ckHtml" Height="300" Width="100%" CssClass="ck" TextMode="MultiLine"></asp:TextBox>
                <div class="right"><asp:DropDownList runat="server" ID="ddlInit" AutoPostBack="true" OnSelectedIndexChanged="InitEditor"></asp:DropDownList></div>
                </ContentTemplate>
                </asp:UpdatePanel>
                <asp:UpdatePanel ID="upCodes" runat="server" RenderMode="Block" UpdateMode="Conditional">
                <ContentTemplate>
                    <fieldset><legend>标记速查：<asp:DropDownList runat="server" ID="ddlTemplets" OnSelectedIndexChanged="TempletChanged" AutoPostBack="true"></asp:DropDownList></legend>
                        <div id="tagarea">
                        <select id="range" onchange="rangeChanged(this);"><option value="Field">字段</option><option value="Variable">变量</option><option>查询</option></select>
                        <asp:DropDownList runat="server" ID="ddlfs"></asp:DropDownList>
                        <asp:DropDownList runat="server" ID="ddlVars" CssClass="hide"></asp:DropDownList>
                        <span id="spanQuery" class="hide">
                            <asp:DropDownList runat="server" ID="ddlQuerys"></asp:DropDownList>
                            <img src="images/what.gif" title="什么是查询？如何定义查询？" style="margin-bottom:3px" onclick="What('RelatedQuery')" class="what" />
                        </span>
                        <select id="ddlFmts" onchange="fmtsChanged();">
                            <option value="">正常显示</option>
                            <option value="BarCode_1D">条形码</option>
                            <option value="BarCode_2D">二维码</option>
                            <option value="UpperNumeric">大写数字</option>
                            <option value="OriSize">原始图片</option>
                        </select> <select id="ddlBarCodes" class="forBarcode hide" onchange="showTag();">
                                    <option value="CODE39">CODE 39</option>
                                    <option value="CODE39Ext">CODE 39 Extended</option>
                                    <option value="CODE128">CODE 128</option>
                                    <option value="EAN13">EAN-13</option>
                                    <option value="EAN8">EAN-8</option>
                                    <option value="UPCA">UPC-A</option>
                                    <option value="UPCE">UPC-E</option>
                                    <option value="Codabar">Codabar</option>
                                    <option value="JAN13">JAN-13</option>
                                    <option value="BOOKLAND">BOOKLAND</option>
                                    <option value="ISBN">ISBN</option>
                                    <option value="PostNet">PostNet</option>
                                    <option value="Sta2of5">Standard 2 of 5</option>
                                    <option value="Ind2of5">Industrial 2 of 5</option>
                                    <option value="Int2of5">Interleaved 2 of 5</option>
                                    <option value="USD8">USD 8</option>
                                    <option value="UCC12">UCC 12</option>
                                    <option value="UCC13">UCC 13</option>
                                    <option value="CODE11">CODE 11</option>
                                    <option value="CODE128A">CODE 128-A</option>
                                    <option value="CODE128B">CODE 128-B</option>
                                    <option value="CODE128C">CODE 128-C</option>
                                    <option value="LOGMARS">LOGMARS</option>
                                    <option value="UPC2Ext">UPC 2 Digit Ext</option>
                                    <option value="UPC5Ext">UPC 5 Digit Ext</option>
                                    <option value="TELEPEN">TELEPEN</option>
                                    <option value="FIM">FIM</option>
                                    <option value="Mod_Plessey">Modified_Plessey</option>
                                    <option value="MSI_Mod10">MSI Mod10</option>
                                    <option value="MSI_Mod11">MSI Mod11</option>
                                    <option value="MSI_2Mod10">MSI-2 Mod10</option>
                                    <option value="UNSPECIFIED">Unspecified</option>
                                    </select> <select id="ddlSize" class="hide" onchange="showTag();">
                                    <option value="small">尺寸：小</option>
                                    <option value="smaller">尺寸：较小</option>
                                    <option value="medium" selected="selected">尺寸：适中</option>
                                    <option value="larger">尺寸：较大</option>
                                    <option value="large">尺寸：大</option>
                                    </select> <span class="forBarcode hide"><input type="checkbox" id="cbLabel" onchange="showTag();" /><label for="cbLabel">包含文字</label></span>：
                            <input id="fieldTag" title="请双击（仅支持IE）或点右键复制" class="highlight" readonly="readonly" ondblclick="return copy_clip(this);" onmouseover="$(this).select();" />
                            </div>
                        </fieldset>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </div>
        </ContentTemplate>
    </ims:Pop>
    
    <asp:UpdateProgress ID="upgPager" runat="server" AssociatedUpdatePanelID="upPager">
        <ProgressTemplate><asp:Image ID="loading" ImageUrl="images/loading.gif" runat="server" /></ProgressTemplate>
    </asp:UpdateProgress>
    <script src="js/comm.js" type="text/javascript"></script>
    <script src="js/overview.js" type="text/javascript"></script>
    <script src="ckeditor/ckeditor.js" type="text/javascript"></script>
    </form>
</body>
</html>
