﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.smsadmin, ims.web" enableviewstatemac="false" enableEventValidation="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="smsadmin">
<head runat="server">
    <title>短信功能设置</title>
    <script src="js/comm.js" type="text/ecmascript"></script>
    <script src="js/smsadmin.js" type="text/ecmascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="s1" runat="server">
        <Scripts><asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/><asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/></Scripts>
    </asp:ScriptManager>

    <asp:UpdatePanel ID="up" runat="server" ChildrenAsTriggers="false" OnPreRender="MakeTabs" UpdateMode="Conditional">
    <ContentTemplate>
    <div id="tabs" class="ui-tabs">
        <ul>
            <li><a href="#account">账户信息</a></li>
            <li runat="server" id="liPwd"><a href="#chgpwd">修改密码</a></li>
        </ul>
        <div id="account">
            短信平台：<asp:DropDownList runat="server" ID="ddlPlat"></asp:DropDownList>
            &nbsp;账号：<asp:TextBox runat="server" ID="tbUserID"></asp:TextBox>
            &nbsp;密码：<asp:TextBox runat="server" ID="tbPass" TextMode="Password"></asp:TextBox>&nbsp;<asp:Button runat="server" ID="btnSave" OnClick="Save" Text="保存" CssClass="btn" />
            <input type="button" value="下载客户端软件" title="下载当前所选平台的客户端软件，可以更方便灵活地发送短信，以及管理联系人、查询统计信息等" style="width:100px" onclick="dlclient();" class="btn" />
            <div class="zoneTitle"><img src="images/info.gif" align="absMiddle" /> 当前账户状态</div>
            <asp:UpdatePanel ID="up1" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <div runat="server" id="status"></div>
            </ContentTemplate>
            </asp:UpdatePanel>
            <div runat="server" id="crAbout">
            <div class="zoneTitle"><img src="images/info.gif" align="absMiddle" /> 提示</div>
            请访问<a href='http://landian.cc' target='_blank'>蓝点官方网站</a>联系在线客服了解账号注册和充值相关问题。
            </div>
            <asp:Button runat="server" ID="btnStatus" OnClick="ShowStatus" CssClass="hide" />
        </div>    
        <div runat="server" id="chgpwd">
            　　原密码：<asp:TextBox runat="server" ID="tbOldPwd" TextMode="Password"></asp:TextBox><br />
            　　新密码：<asp:TextBox runat="server" ID="tbNewPwd" TextMode="Password"></asp:TextBox><br />
            确认新密码：<asp:TextBox runat="server" ID="tbVerify" TextMode="Password"></asp:TextBox>
            <asp:UpdatePanel ID="up2" runat="server" RenderMode="Inline">
            <ContentTemplate>
                <asp:Button runat="server" ID="btnChangePwd" OnClick="ChangePwd" CssClass="btn" OnClientClick="return checkPwd();" Text="确定修改" Width="66" />
            </ContentTemplate>
            </asp:UpdatePanel>
        </div>
    </div> 
    </ContentTemplate>
    </asp:UpdatePanel>
    
    <div class="footBtnArea">
        <input type="button" onclick="toSend('sms','');" value="发送短信" style="width:66px" class="btn" />
        <input type="button" onclick="down('smslog.csv','短信日志', 'App_Data');" value="下载短信日志" style="width:90px" class="btn" />
        <asp:Button id="btnDelLog" OnClick="DelSmsLog" OnClientClick="return confirm('确定要删除短信日志吗？');" runat="server" Text="删除短信日志" Width="90" class="btn" ToolTip="定期删除日志记录，可以加快短信发送速度"></asp:Button>
        <input type="button" onclick="history.go(-1);" value="返回" class="btn" />
    </div>
    </form>
</body>
</html>