﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.users, ims.web" enableviewstatemac="false" enableEventValidation="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="users">
<head runat="server">
    <title>用户管理</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:HiddenField ID="curUserName" runat="server" /><asp:HiddenField ID="curUnit" Value="0" runat="server" />
    <asp:ScriptManager ID="s1" runat="server" EnablePageMethods="True">
        <Scripts><asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/><asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/></Scripts>
    </asp:ScriptManager>
    
    <table cellpadding="0" cellspacing="0" id="main"><tr><td id="tdUnits" valign="top">
        <asp:UpdatePanel ID="divUnits" runat="server" UpdateMode="conditional" RenderMode="Block">
        <ContentTemplate>
            <asp:TreeView ID="tv" NodeWrap="false" LineImagesFolder="images/tree"  OnSelectedNodeChanged="ShowUnit" SelectedNodeStyle-BackColor="#bbbbbb" ExpandDepth="1" NodeStyle-HorizontalPadding="3" runat="server" ShowLines="true" CssClass="tree">
                <Nodes>
                    <asp:TreeNode Text="公司" Selected="true" Value="0"></asp:TreeNode>
                    <asp:TreeNode Text="搜索用户" ImageUrl="images/data_find.gif" NavigateUrl="javascript:ShowSearch();"></asp:TreeNode>
                    <asp:TreeNode Text="设置默认用户信息" ImageUrl="images/exe.gif" NavigateUrl="reg.aspx?mode=init"></asp:TreeNode>
                    <asp:TreeNode Text="角色管理" ImageUrl="images/users.gif" NavigateUrl="roles.aspx"></asp:TreeNode>
                </Nodes>
            </asp:TreeView>
        </ContentTemplate>
        </asp:UpdatePanel>
    </td><td id="tdObjs" valign="top">
        <asp:UpdatePanel ID="upObjs" runat="server" OnPreRender="AttObjEvent" UpdateMode="conditional" RenderMode="Block">
            <ContentTemplate>
                <div runat="server" id="divLocation"></div>
                <div id="objsDiv" runat="server" title="请点击右键进行操作"></div>
            </ContentTemplate>
        </asp:UpdatePanel>
    </td></tr>
    </table>

    <div class="menu" id="menu_obj">
        <a accesskey="D" href="#" onclick="return del();">删除 　　　Alt+D</a>
        <a accesskey="X" href="#" onclick="return cut('User');">剪切 　　　Alt+X</a>
        <div></div>
        <a accesskey="R" href="#" runat="server" onserverclick="ShowAttributes" id="showAttributes">属性 　　　Alt+R</a>
    </div>
    <div class="menu" id="menu_unit">
        <a accesskey="O" href="#" onclick="ShowUnit();" id="openUnit">打开 　　　Alt+O</a>
        <a accesskey="X" href="#" onclick="cut('Unit');">剪切 　　　Alt+X</a>
        <a accesskey="D" href="#" runat="server" id="delUnit" onserverclick="DelUnit" onclick="return delUnit();">删除 　　　Alt+D</a>
    </div>
    <div class="menu" id="menu_body">
        <a accesskey="N" href="#" onclick="return createUser();">添加用户　 Alt+N</a>
        <a accesskey="U" href="#" onclick="return createUnit();">添加机构　 Alt+U</a>
        <a accesskey="V" href="#" id="paste" runat="server" onserverclick="Paste">粘贴 　　　Alt+V</a>
        <div></div>
        <a accesskey="R" href="roles.aspx">角色管理 　Alt+R</a>
    </div>
    
    <ims:Pop runat="server" ID="attr" Width="420" ShowOkButton="false" ShowCancelButton="false">
    <ContentTemplate>
        <span runat="server" id="rolesArea">
        所属的角色：
        <div class="sepline2"></div>
        <div class="fixedBox">
        <asp:CheckBoxList CellSpacing="1" ID="roles" runat="server" RepeatLayout="Flow" RepeatDirection="Horizontal">
        </asp:CheckBoxList>
        </div>
        </span><br />
        <asp:HyperLink runat="server" Visible="false" ID="rolesAdmin" NavigateUrl="roles.aspx" Target="_self" Text="系统中尚未定义角色！点此新建角色 &gt;&gt;"></asp:HyperLink>
        <div class="sepline2"></div>
        <div runat="server" id="divRelaName">真实姓名：<asp:TextBox runat="server" ID="tbRealName"></asp:TextBox></div>
        所属机构：<asp:HyperLink runat="server" ID="hlUnit"></asp:HyperLink><br />
        <!--是否负责人：<asp:CheckBox runat="server" ID="cbRector" Text="是" /><br />
        <span id="managed" runat="server">分管的机构：<asp:CheckBoxList runat="server" ID="cblUnits" RepeatLayout="Flow" RepeatDirection="Horizontal"></asp:CheckBoxList></span>
        <div class="sepline"></div>-->
        <div runat="server" id="userInfo"></div>
        <div class="footBtnArea">
            <asp:Button runat="server" ID="btnSave" OnClick="saveAttributes" Text="确定" CssClass="btn" />
            <asp:Button runat="server" ID="btnUnlock" OnClick="UnlockUser" Text="解除锁定" Width="66" ToolTip="该用户现已被锁定。点此解除锁定，允许登录。" CssClass="btn" />
            <asp:Button runat="server" ID="btnResetPwd" OnClick="ResetPass" Text="重置密码" OnClientClick="return confirm('确定要将该用户的密码重置为初始密码吗？');" Width="66" ToolTip="将该用户的密码重置为当前默认初始密码" CssClass="btn" />
            <input type="button" onclick="HideDialog();" value="取消" class="btn" />
        </div>
    </ContentTemplate>
    </ims:Pop>
    
    <ims:Pop runat="server" ID="popSearch" Title="搜索用户" OkButtonText="搜索" OnOkClientClick="return searchUser();">
    <ContentTemplate>
        请输入要搜索的用户名（支持模糊搜索）：
        <div class="center" style="margin-top:2em">
            用户名：<input type="text" id="keyword" onkeydown="return chkEnterForSearch();" style="width:120px" />
        </div>
    </ContentTemplate>
    </ims:Pop>
    
    <div class="hide">
        <asp:Button runat="server" ID="refreshTree" OnClick="ReloadTree" CssClass="hide" />
        <asp:UpdatePanel ID="upInfo" runat="server" UpdateMode="conditional">
        <ContentTemplate>
            <ul id="AttributeInfo">
                <li>用户总数：<asp:Literal ID="usersCount" runat="server"></asp:Literal></li>
                <li runat="server" id="inRole"></li>
            </ul>
            <input type="button" runat="server" id="updateUsersCount" onserverclick="RefreshUsersCount" />
        </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    
    <script src="js/comm.js" type="text/javascript"></script>
    <script src="js/users.js" type="text/javascript"></script>
    </form>
</body>
</html>
